@use "vars-svm";

@mixin overwritten-material-styles() {
  svm-ext-zoom-slider {
    $slider-width: vars-svm.$zoom-slider-overall-width;
    $slider-height: vars-svm.$zoom-slider-height;
    $slider-thumb-width: vars-svm.$zoom-slider-thumb-width;

    .mat-slider.mat-slider-horizontal {
      width: 200px;
      height: $slider-height;
    }

    .mat-slider.mat-slider-horizontal .mat-slider-wrapper {
      position: unset;
    }

    .mat-slider.mat-slider-horizontal .mat-slider-track-wrapper {
      height: $slider-height;
      border-radius: 0px;
      // adjust left and width to compensate for added margins of slider (class="slider-margin")
      width: calc(100% + #{$slider-thumb-width});
      left: calc((#{$slider-thumb-width} / 2) * -1);
    }

    .mat-slider.mat-slider-horizontal .mat-lider-track-background,
    .mat-slider.mat-slider-horizontal .mat-slider-track-fill {
      height: $slider-height;
    }

    .mat-slider:not(.mat-slider-disabled).cdk-mouse-focused .mat-slider-thumb {
      border-radius: 0px;
      border-width: 1px;
    }

    .mat-slider-thumb {
      height: $slider-height;
      width: $slider-thumb-width;
      border-radius: 0px;
      border-width: 1px;
      transform: scale(1);
      bottom: -18px; // TODO: calc this value - needs to be changed on height change
      right: -3px;
    }

    .mat-slider-horizontal .mat-slider-track-background {
      height: $slider-height;
    }

  }

  .cdk-overlay-container {
    z-index: 1000;
  }

  .mat-slider-horizontal .mat-slider-wrapper {
    top: 16px;
  }

  mat-button-toggle.toggle-annotation-classes-palettes-menu > button.mat-button-toggle-button > span.mat-button-toggle-label-content {
  padding-right: 4px;
  }

  .cdk-overlay-pane .annotationClassesPalettesMenu {
    .mat-menu-item {
      line-height: inherit;
      height: 36px;
    }
  }
}
